# relative [![NPM version](https://badge.fury.io/js/relative.png)](http://badge.fury.io/js/relative)

> Get the relative filepath from path A to path B. Calculates from file-to-directory, file-to-file, directory-to-file, and directory-to-directory.

**Calculates correctly from:**

* File to directory
* File to file
* Directory to file
* Directory to directory


## Install
Install with [npm](npmjs.org):

```bash
npm i relative --save-dev
```

## Usage

```js
var relative = require('relative');
relative(from, to);

// Example
relative('test/fixtures/foo.txt', 'docs');
// => '../../docs'
```

## API
### relative

Return the relative path from `a` to `b`.

**Example**:

```js
var relative = require('relative');
relative('test/fixtures/foo.txt', 'docs/new/file.txt');
//=> '../../docs/new/file.txt'
```

* `from` {String} 
* `to` {String}  
* `return` {String} 


### .toBase

Get the path relative to the given base path.

**Example**:

```js
relative.toBase('test/fixtures', 'test/fixtures/docs/new/file.txt');
//=> 'docs/new/file.txt'
```

* `basepath` {String}: The base directory 
* `filepath` {String}: The full filepath  
* `return` {String}            The relative path

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2014 Jon Schlinkert, contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on July 06, 2014._