# read-yaml [![NPM version](https://badge.fury.io/js/read-yaml.svg)](http://badge.fury.io/js/read-yaml)  [![Build Status](https://travis-ci.org/jonschlinkert/read-yaml.svg)](https://travis-ci.org/jonschlinkert/read-yaml) 

> Very thin wrapper around js-yaml for directly reading in YAML files.

## Install with [npm](npmjs.org)

```bash
npm i read-yaml --save
```

## API
### [readYaml](index.js#L39)

Read YAML file asynchronously and parse content as JSON

* `fp` **{String}**: Path of the file to read.    
* `options` **{Object|String}**: to pass to [js-yaml]    
* `cb` **{Function}**: Callback function    
* `returns` **{Object}**: JSON  

**Example:**

```js
var readYaml = require('read-yaml');
readYaml('config.yml', function(err, data) {
  if (err) throw err;
  console.log(data);
});
```

### [.sync](index.js#L81)

Read YAML file synchronously and parse content as JSON

* `fp` **{String}**: Path of the file to read.    
* `options` **{Object|String}**: to pass to [js-yaml]    
* `returns` **{Object}**: JSON  

**Example:**

```js
var read = require('read-yaml');
var config = read.sync('config.yml');
```


## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2014 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb](https://github.com/assemble/verb) on December 05, 2014. To update, run `npm i -g verb && verb`._

[js-yaml]: https://github.com/nodeca/js-yaml
