# glob-path-regex [![NPM version](https://badge.fury.io/js/glob-path-regex.svg)](http://badge.fury.io/js/glob-path-regex)

> Regular expression for matching the parts of glob pattern.

## Install with [npm](npmjs.org)

```bash
npm i glob-path-regex --save
```

## Usage

```js
var re = require('glob-path-regex');

'a/b.c/d/e.min.js'.match(re());

//=> [0] 'a/b/{f,g}/**/*.min.js'
//=> [1] 'a/b/{f,g}/**/'
//=> [2] '*.min.js'
//=> [3] '*'
//=> [4] '.min.js'
//=> [5] '.js'
//=> [6] 'js'
```

**Match groups**

- `[0]`: full path (`a/b/{f,g}/**/*.min.js`)
- `[1]`: dirname (`a/b/{f,g}/**/`)
- `[2]`: basename (with ext) (`*.min.js`)
- `[3]`: filename (no ext) (`*`)
- `[4]`: multi-extensions or extname (`.min.js`)
- `[5]`: extname (with dot) (`.js`)
- `[6]`: ext (no dot) (`js`)


## Run tests

Install dev dependencies:

```bash
node i -d && mocha
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/regexps/glob-path-regex/issues)

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb](https://github.com/assemble/verb) on January 20, 2015._
